<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
var Animal=function(){
	this.nombrePadre="soy el padre";
};

var Leon=function(){
	this.nombreHijo="soy el hijo"
	Animal.call(this);
};

//Leon.prototype=new Animal;//Leon tiene como padre la clase Animal, y Leon hereda todas las propiedades del padre.
// esto en otro lenguaje de programacion se le llama extends
var objetoPadre=new Animal();
var objetoHijo=new Leon();

console.log(objetoPadre.nombrePadre);
console.log(objetoHijo.nombrePadre);
console.log(objetoHijo.nombreHijo);

</script>
</head>

<body>
<div class="cajas entrada">
<pre>
var Animal=function(){
	this.nombrePadre="soy el padre";
};

var Leon=function(){
	this.nombreHijo="soy el hijo";
};

Leon.prototype=new Animal;

var objetoPadre=new Animal();
var objetoHijo=new Leon();

console.log(objetoPadre.nombrePadre);
console.log(objetoHijo.nombrePadre);
console.log(objetoHijo.nombreHijo);

</pre>
</div>
<div class="cajas salida" >
<div class="titulo">Ejemplo 7
</div>
<div class="explicacion">
Veamos un ejemplo de herencia
</div>
</div>
</body>
</html>
